<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

if (TYPO3_MODE=="BE")	{
		
	t3lib_extMgm::addModule("web","txtcdirectmailM1","before:info",t3lib_extMgm::extPath($_EXTKEY)."mod1/");
}

$tempColumns = Array (
	"tx_tcdirectmail_senttime" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_senttime",		
		"config" => Array (
			"type" => "input",
			"size" => "12",
			"max" => "20",
			"eval" => "datetime",
			"checkbox" => "0",
			"default" => "0"
		)
	),
	"tx_tcdirectmail_repeat" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat",		
		"config" => Array (
			"type" => "select",
			"items" => Array (
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.0", "0"),
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.1", "1"),
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.2", "2"),
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.3", "3"),
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.4", "4"),
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.5", "5"),
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.6", "6"),
				Array("LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_repeat.I.7", "7"),
			),
			"size" => 1,	
			"maxitems" => 1,
		)
	),
	"tx_tcdirectmail_testreceivers" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_testreceivers",		
		"config" => Array (
			"type" => "group",	
			"internal_type" => "db",	
			"allowed" => "pages",	
			"size" => 1,	
			"minitems" => 0,
			"maxitems" => 1,
		)
	),
	"tx_tcdirectmail_dotestsend" => Array (		
		"config" => Array (
			"type" => "passthrough",
		)
	),
        "tx_tcdirectmail_attachfiles" => Array (        
                "exclude" => 1,        
	        "label" => "LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_attachfiles",        
        	"config" => Array (
	        	"type" => "group",
        		"internal_type" => "file",
            		"allowed" => "",    
            		"disallowed" => "php,php3",    
            		"max_size" => 500,    
            		"uploadfolder" => "uploads/tx_tcdirectmail",
           		"size" => 3,    
            		"minitems" => 0,
            		"maxitems" => 10,
        	)
    	),
    "tx_tcdirectmail_real_target" => Array (        
        "exclude" => 1,        
        "label" => "LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_real_target",        
        "config" => Array (
            "type" => "group",    
            "internal_type" => "db",    
            "allowed" => "tx_tcdirectmail_targets",    
            "size" => 1,    
            "minitems" => 0,
            "maxitems" => 1,
        )
    ),
    "tx_tcdirectmail_test_target" => Array (        
        "exclude" => 1,        
        "label" => "LLL:EXT:tcdirectmail/locallang_db.php:pages.tx_tcdirectmail_test_target",        
        "config" => Array (
            "type" => "group",    
            "internal_type" => "db",    
            "allowed" => "tx_tcdirectmail_targets",    
            "size" => 1,    
            "minitems" => 0,
            "maxitems" => 1,
        )
    ),
    'tx_tcdirectmail_sendername' => Array (
	'exclude' => 1,
	'label' => 'Sender name:',
	'config' => Array (
	    'type' => 'input',
	    'size' => 30,
	)
    ),
    
    'tx_tcdirectmail_senderemail' => Array (
	'exclude' => 1,
	'label' => 'Sender email:',
	'config' => Array (
	    'type' => 'input',
	    'size' => 30,
	)
    ),    
    
    'tx_tcdirectmail_spy' => Array (
	'exclude' => 1,
	'label' => 'Attempt to detect opened emails:',
	'config' => Array(
	    'type' => 'check',
	),
    ),
);


t3lib_div::loadTCA("pages");
t3lib_extMgm::addTCAcolumns("pages",$tempColumns,1);
t3lib_extMgm::allowTableOnStandardPages("tx_tcdirectmail_sentlog");


global $PAGES_TYPES;
$PAGES_TYPES[189] = Array(
   "type" => "Directmail",
    "icon" => "../typo3conf/ext/tcdirectmail/mail.gif",
);
      

$TCA["pages"]["columns"]["doktype"]["config"]["items"][count($TCA["pages"]["columns"]["doktype"]["config"]["items"])] = $TCA["pages"]["columns"]["doktype"]["config"]["items"][2];
$TCA["pages"]["columns"]["doktype"]["config"]["items"][2] = Array (
   0 => "LLL:EXT:tcdirectmail/locallang_db.php:pages.directmailtype",
   1 => 189,
);
	      

$TCA['pages']['types']['189'] = array (
    'showitem' => "doktype,;;;;1-1-1, title,;;;;1-1-1, storage_pid, content_from_pid,;;;;1-1-1, tx_tcdirectmail_sendername, tx_tcdirectmail_senderemail,;;;;1-1-1, tx_tcdirectmail_senttime, tx_tcdirectmail_repeat, tx_tcdirectmail_real_target, tx_tcdirectmail_spy,;;;;1-1-1, tx_tcdirectmail_dotestsend, tx_tcdirectmail_test_target,;;;;1-1-1, tx_tcdirectmail_attachfiles,",
);


      
$TCA["tx_tcdirectmail_sentlog"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_sentlog",		
		"label" => "receiver",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"default_sortby" => "ORDER BY crdate",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_tcdirectmail_sentlog.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, begintime, sendtime, receiver",
	)
);

t3lib_extMgm::allowTableOnStandardPages("tx_tcdirectmail_lock");

$TCA["tx_tcdirectmail_lock"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_lock",		
		"label" => "begintime",	
		"setToDefaultOnCopy" => "begintime,stoptime",
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"default_sortby" => "ORDER BY crdate",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_tcdirectmail_lock.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, begintime, stoptime",
	)
);

t3lib_extMgm::allowTableOnStandardPages("tx_tcdirectmail_targets");

$TCA["tx_tcdirectmail_targets"] = Array (
    "ctrl" => Array (
        "title" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_targets",        
        "label" => "title",    
        "tstamp" => "tstamp",
        "crdate" => "crdate",
        "cruser_id" => "cruser_id",
        "default_sortby" => "ORDER BY crdate",    
        "delete" => "deleted",    
        "enablecolumns" => Array (        
            "disabled" => "hidden",
        ),
        "dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
        "iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."mailtargets.gif",
    ),
    "feInterface" => Array (
        "fe_admin_fieldList" => "hidden, title, config, setup",
    )
);



?>
