#
# Table structure for table 'pages'
#
CREATE TABLE pages (
	tx_tcdirectmail_senttime int(11) DEFAULT '0' NOT NULL,
	tx_tcdirectmail_repeat int(11) unsigned DEFAULT '0' NOT NULL,
	tx_tcdirectmail_test_target blob NOT NULL,
	tx_tcdirectmail_real_target blob NOT NULL,	
	tx_tcdirectmail_dotestsend tinyint(2) DEFAULT '0' NOT NULL,
	tx_tcdirectmail_attachfiles mediumtext NOT NULL,
	tx_tcdirectmail_sendername tinytext NOT NULL,
	tx_tcdirectmail_senderemail tinytext NOT NULL,
	tx_tcdirectmail_spy tinyint(2) DEFAULT '0' NOT NULL
);



#
# Table structure for table 'tx_tcdirectmail_sentlog'
#
CREATE TABLE tx_tcdirectmail_sentlog (
	uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	begintime tinytext NOT NULL,
	sendtime tinytext NOT NULL,
	receiver tinytext NOT NULL,
	beenthere tinyint(4) unsigned DEFAULT '0' NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_tcdirectmail_lock'
#
CREATE TABLE tx_tcdirectmail_lock (
	uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	begintime tinytext NOT NULL,
	stoptime tinytext NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);


#
# Table structure for table 'tx_tcdirectmail_targets'
#
CREATE TABLE tx_tcdirectmail_targets (
    uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
    pid int(11) unsigned DEFAULT '0' NOT NULL,
    tstamp int(11) unsigned DEFAULT '0' NOT NULL,
    crdate int(11) unsigned DEFAULT '0' NOT NULL,
    cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
    deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
    hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
    title tinytext NOT NULL,
    description mediumtext NOT NULL,
    config mediumtext NOT NULL,
    setup mediumtext NOT NULL,
    
    PRIMARY KEY (uid),
    KEY parent (pid)
);

