<?php

$BACK_PATH="../../../../typo3/";
define ('TYPO3_MOD_PATH', "../typo3conf/ext/tcdirectmail/wizards/");
require ($BACK_PATH."init.php");
require ($BACK_PATH."template.php");
require ("../class.tx_tcdirectmail_query.php");
require_once (PATH_t3lib."class.t3lib_div.php");
require_once (PATH_t3lib."class.t3lib_scbase.php");

$MCONF["name"]="configwiz";
$MCONF["access"]="user,group";
$MCONF["script"]="configwiz.php";


class tx_tcdirectmail_configwiz extends t3lib_SCbase {
	function init()    {
		parent::init();
	}

	function saveUidRow($rows) {
	    if (is_array($rows)) {
		foreach ($rows as $row) {
		    $config_line  = array();
		    foreach ($row as $uid => $dummy) {
			if ($uid != -1) {
			    $config_line[] = $uid;
			}
		    }
		    $config .= "*".implode(',', $config_line)."\n";
		}
	    }
	    
	    $GLOBALS['TYPO3_DB']->exec_UPDATEquery('tx_tcdirectmail_targets', 
					'uid = '.$_REQUEST['P']['uid'], 
					array('config' => "$config"));
	    
//	    print ("<pre>$config</pre>");
	}
	
	function loadUidRow() {
	    global $TYPO3_DB;
	    
	    $rs = $TYPO3_DB->exec_SELECTquery('config', 'tx_tcdirectmail_targets', 'uid = '.$_REQUEST['P']['uid']);
	    list ($config) = $TYPO3_DB->sql_fetch_row($rs);
	
	    $rows = explode ("\n", $config);
	    
	    foreach ($rows as $row) {
		$row = trim ($row, "()\n* ");
		$row = explode (',', $row);
		$row = array_map ('trim', $row);
		$row = array_flip ($row);
		$row = array_map (create_function('$a', 'return 1;'), $row);
		
		$rows_arr[] = $row;
		
//		print_r ($row);		
	    }
	    return $rows_arr;
	}


	function main() {
	    global $TYPO3_DB,$BACK_PATH;
	    
	    
	    if ($_REQUEST['uidrow']) {
		$this->saveUidRow($_REQUEST['uidrow']);
	    }
	    
	    $uidrow = $this->loadUidRow();
	    
	    
	    $recordUid = $_REQUEST['P']['uid'];
	    
	    /* Load what tables can be choosed in */
	    $tables = tx_tcdirectmail_query::whichTCAtables(tx_tcdirectmail_query::getSQL($recordUid, "total"));	
	    
	    /* Load the info */
	    $rs = $TYPO3_DB->exec_SELECTquery('title, description', 'tx_tcdirectmail_targets', "uid = $recordUid");
	    list ($title, $description) = $TYPO3_DB->sql_fetch_row($rs);
	    
	    /* Frame for en wizard */
            $this->doc = t3lib_div::makeInstance("mediumDoc");
	    $this->doc->backPath = $BACK_PATH;
            $this->content .= $this->doc->startPage('');
	    $this->content .= '<form action="config_wiz.php" method="POST">';
	    $this->content .= $this->savePConf();
	    $this->content .= "<p><strong>$title</strong></p>";
	    $this->content .= "<p>$description</p>";
	    $this->content .= '<hr />';
	    
	    $rownum = 0;
	    
	    
	    /* Make a select list of the found tables */
	    foreach($tables as $table) {
		t3lib_div::loadTCA($table);
		
		$this->content .= '<input type="hidden" name="uidrow['.$rownum.'][-1]" value="1" />';		
		
		$rs = $TYPO3_DB->sql_query(tx_tcdirectmail_query::getSQL($recordUid, $table));
		while ($rec = $TYPO3_DB->sql_fetch_assoc($rs)) {
		    /* Any access? */
		    if ($this->userHasAccess($table, $rec['uid'])) {
			if ($uidrow[$rownum][$rec['uid']]) {
			    $checked = 'checked ';
			} else {
			    $checked = '';
			}
		
    			$this->content .= '<p><input type="checkbox" name="uidrow['.$rownum.']['.$rec['uid'].']" '.$checked.'/>  ';		    
			$this->content .= t3lib_iconWorks::getIconImage($table, $rec, $BACK_PATH);
			$this->content .= $rec[$GLOBALS['TCA'][$table]['ctrl']['label']];
			$this->content .= '</p>';
		    }
		}
		$this->content .= '<hr />';
		$rownum++;
	    }
	    
	    /* Buttons...   cant quit get save&close to work */
	    $this->content .= '<p>';
	    $this->content .= '<input type="image" class="c-inputButton" name="_savedok"'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/savedok.gif','').' />';
//	    $this->content .= '<input type="image" class="c-inputButton" name="_saveandclose"'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/saveandclosedok.gif','').' />';	    
//	    $this->content .= '<input type="image" class="c-inputButton" name="_goback"'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/closedok.gif','').' />';
	    $this->content .= '<a href='.$_REQUEST['P']['returnUrl'].'><img '.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/closedok.gif','width="21" height="16"').' class="c-inputButton" /></a>';
	    $this->content .= '</p>';
	    $this->content .= '</form>'; 
	    $this->content .= $this->doc->endPage();

	    
	}
	
	
	/* User has read access to page? or to the page on which the record resides, if not itself a page */
	function userHasAccess($table, $uid) {
	    if ($table == 'pages') {
		global $BE_USER;
		
		return t3lib_befunc::readPageAccess($uid, $BE_USER->getPagePermsClause(1));
	    } else {
		global $TYPO3_DB;
		
		$rs = $TYPO3_DB->exec_SELECTquery('pid', $table, "uid = $uid");
		list($pid) = $TYPO3_DB->sql_fetch_row($rs);
		return $this->userHasAccess('pages', $pid);
	    }
	}
	
	function printContent () {
	    echo $this->content;
	}
	
	function savePConf() {
	    foreach ($_REQUEST['P'] as $k => $v) {
		$pconf .= '<input type="hidden" name="P['.$k.']" value="'.$v.'" />';
	    }
	    
	    return $pconf;
	}
}	

// Make instance:
$SOBE = t3lib_div::makeInstance("tx_tcdirectmail_configwiz");
$SOBE->init();

// Include files?
foreach($SOBE->include_once as $INC_FILE)    include_once($INC_FILE);

$SOBE->main();
$SOBE->printContent();

?>