<?php

class tx_tcdirectmail_tools {
    function getDomainForPage($pid) {
	/* Hvilken domaene er denne side paa */
	$rs = $GLOBALS['TYPO3_DB']->sql_query("SELECT domainName FROM sys_domain 
				INNER JOIN pages ON sys_domain.pid = pages.uid
				WHERE NOT sys_domain.hidden
				AND NOT pages.hidden
				AND NOT pages.deleted
				AND pages.uid IN (".
				implode (',',array_map (
				    create_function('$a', 'return $a[uid];'),
					t3lib_befunc::BEgetRootLine($pid))).")
				ORDER BY pages.sorting, sys_domain.sorting
				LIMIT 0,1");
				
	list($domain) = $GLOBALS['TYPO3_DB']->sql_fetch_row($rs);
    
	return $domain;
    }

    function getSenderForPage ($pid) {
	global $TYPO3_DB;
    
	/* Er de defineret paa selve siden? */
        $rs = $TYPO3_DB->sql_query("SELECT tx_tcdirectmail_sendername
				    FROM pages
				    WHERE uid = $pid");
				    
	list($def[]) = $TYPO3_DB->sql_fetch_row($rs);
    
    
        /* Finde sitets navn */
	$def[] = $GLOBALS['TYPO3_CONF_VARS']['SYS']['sitename'];

        while (!$val = array_shift($def));
    
	print ("Sender: $val\n");
        return $val;
    }

    function getEmailForPage ($pid) {
	global $TYPO3_DB;
    
        /* Er de defineret paa selve siden? */
	$rs = $TYPO3_DB->sql_query("SELECT tx_tcdirectmail_senderemail
				    FROM pages
				    WHERE uid = $pid");
				    
        list($def[]) = $TYPO3_DB->sql_fetch_row($rs);

	/* Finde ejer af siden */
        $rs = $GLOBALS['TYPO3_DB']->sql_query("SELECT email 
					    FROM be_users bu
					    LEFT JOIN pages p ON bu.uid = p.perms_userid
					    WHERE p.uid = $pid");
				    
	list($def[]) = $GLOBALS['TYPO3_DB']->sql_fetch_row($rs);
    
        /* Systembrugeren */
        $def[] = trim(`whoami`).'@'.trim(`hostname -f`);
    
	while (!$val = array_shift($def));
        print ("Email: $val\n");
        return $val;
    }

    function setSceduleAfterSending ($page) {
	global $TYPO3_DB;

	$rs = $TYPO3_DB->exec_SELECTquery ('tx_tcdirectmail_senttime, tx_tcdirectmail_repeat', 'pages', "uid = $page[uid]");
	list ($senttime, $repeat) = $TYPO3_DB->sql_fetch_row($rs);

        switch ($repeat) {
	    case 0: $newtime = 0; break;

    	    case 1: $newtime = 86400 + $senttime; break;

            case 2: $newtime = 7 * 86400 + $senttime; break;

	    case 3: $newtime = 14 * 86400 + $senttime; break;

    	    case 4: list($year, $month, $day, $hour, $minute) = explode('-', date("Y-n-j-G-i", $senttime));
                $month += 1;
                $newtime = mktime ($hour, $minute, 0, $month, $day, $year);
                break;

            case 5: list($year, $month, $day, $hour, $minute) = explode('-', date("Y-n-j-G-i", $senttime));
                $month += 3;
                $newtime = mktime ($hour, $minute, 0, $month, $day, $year);
                break;

	    case 6: list($year, $month, $day, $hour, $minute) = explode('-', date("Y-n-j-G-i", $senttime));
                $month += 6;
                $newtime = mktime ($hour, $minute, 0, $month, $day, $year);
                break;

    	    case 7: list($year, $month, $day, $hour, $minute) = explode('-', date("Y-n-j-G-i", $senttime));
    	        $year += 1;
                $newtime = mktime ($hour, $minute, 0, $month, $day, $year);
                break;
	}
    
	$TYPO3_DB->exec_UPDATEquery('pages', "uid = $page[uid]", array('tx_tcdirectmail_senttime' => $newtime));
    }
}

?>