#!/usr/bin/php
<?php
$dir = dirname($HTTP_ENV_VARS["_"]);
define("PATH_typo3conf", dirname(dirname($dir))."/");
define("PATH_site", dirname(PATH_typo3conf)."/");
$UPLOADSPATH= PATH_site."uploads/tx_tcdirectmail";
define("PATH_typo3", dirname(PATH_typo3conf)."/typo3/");       // Typo-configuraton path
define("PATH_t3lib", PATH_typo3."t3lib/");
define('TYPO3_MODE','BE');
ini_set('max_execution_time',0);
define('TYPO3_cliMode', TRUE);
require_once(PATH_t3lib.'class.t3lib_div.php');
require_once(PATH_t3lib.'class.t3lib_extmgm.php');
require_once(PATH_t3lib.'class.t3lib_befunc.php');
require_once(PATH_t3lib.'config_default.php');
require_once(PATH_t3lib.'stddb/tables.php');
include (PATH_t3lib.'stddb/load_ext_tables.php');
if (!defined ("TYPO3_db"))      die ("The configuration file was not included.");
require_once(PATH_t3lib.'class.t3lib_db.php');          // The database library

class mailer_db extends t3lib_db {
    function sql_pconnect ($h, $u, $p) {
	return parent::sql_pconnect($h, $u, $p);
    }

    function sql_query($sql) {
	print ("$sql\n\n");
	return parent::sql_query($sql);
    }
}
$TYPO3_DB = t3lib_div::makeInstance('mailer_db');
$TYPO3_DB->sql_pconnect (TYPO3_db_host, TYPO3_db_username, TYPO3_db_password);
$TYPO3_DB->sql_select_db (TYPO3_db);

require_once ("$dir/class.tx_tcdirectmail_query.php");
require_once ("$dir/class.tx_tcdirectmail_mailer.php");
require_once ("$dir/class.tx_tcdirectmail_tools.php");















/***************** Send script ********************/

/* List pages NOT to send */
$rs = $TYPO3_DB->sql_query("SELECT pid FROM tx_tcdirectmail_lock  
                               WHERE stoptime = 0");
$pids[] = -1;
while (list($pid) = $TYPO3_DB->sql_fetch_row($rs)) {
	$pids[] = $pid;
}
$pids = implode(',',$pids);

/* Get a ready-to-send page */
$rs = $TYPO3_DB->sql_query("SELECT * 
                                FROM pages 
                                WHERE tx_tcdirectmail_senttime <= UNIX_TIMESTAMP() 
                                AND tx_tcdirectmail_senttime <> 0 
                                AND doktype = 189 
				AND uid NOT IN ($pids)
				LIMIT 1");


if ($page = $TYPO3_DB->sql_fetch_assoc($rs)) {

    /* Lock the damn page */
    $begintime = time();
    $TYPO3_DB->exec_INSERTquery('tx_tcdirectmail_lock', array('pid' => $page['uid'], 'begintime' => $begintime, 'stoptime' => 0));
    $lockid = $TYPO3_DB->sql_insert_id();

    /* Configure the mailer */
    $mailer = new tx_tcdirectmail_mailer();
    $mailer->domain = tx_tcdirectmail_tools::getDomainForPage($page['uid']);
    $mailer->senderName = tx_tcdirectmail_tools::getSenderForPage($page['uid']);
    $mailer->senderEmail = tx_tcdirectmail_tools::getEmailForPage($page['uid']);
    $mailer->setHtml(file_get_contents("http://$mailer->domain/index.php?id=$page[uid]&no_cache=1"));
    $mailer->setPlain(file_get_contents("http://$mailer->domain/index.php?id=$page[uid]&no_cache=1&type=99"));

    $files = explode (',', $page['tx_tcdirectmail_attachfiles']);
    foreach ($files as $file) {
	if (trim($file) != '') {
	    $mailer->addAttachment("$UPLOADSPATH/$file");
	}
    }
				    
    /* Find the users */
    $rs = $TYPO3_DB->sql_query(tx_tcdirectmail_query::getSubstRealSQL($page['tx_tcdirectmail_real_target']));
    while ($receiver = $TYPO3_DB->sql_fetch_assoc($rs)) {
	/* Log the send */
        $TYPO3_DB->exec_INSERTquery('tx_tcdirectmail_sentlog', array(       'receiver' => $receiver['email'],
	                                                            	    'begintime' => $begintime,
									    'sendtime' => time(),
									    'pid' => $page['uid']));
						
	if ($page['tx_tcdirectmail_spy']) {									
	    $mailer->insertSpy($TYPO3_DB->sql_insert_id());
	}
    
	/* Do the send */
	$mailer->send ($receiver);
    }

    /* Unlock the page */
    tx_tcdirectmail_tools::setSceduleAfterSending ($page);
    $TYPO3_DB->exec_UPDATEquery('tx_tcdirectmail_lock', "uid = $lockid", array('stoptime' => time()));
}












/***************** Test script *******************/


/* Get all test pages */
$rs = $TYPO3_DB->sql_query("SELECT * 
                                FROM pages 
                                WHERE tx_tcdirectmail_dotestsend = 1 
                                AND doktype = 189");
				
while ($page = $TYPO3_DB->sql_fetch_assoc($rs)) {
    /* Configure the mailer */
    $mailer = new tx_tcdirectmail_mailer();
    $mailer->domain = tx_tcdirectmail_tools::getDomainForPage($page['uid']);
    $mailer->senderName = tx_tcdirectmail_tools::getSenderForPage($page['uid']);
    $mailer->senderEmail = tx_tcdirectmail_tools::getEmailForPage($page['uid']);
    $mailer->setHtml(file_get_contents("http://$mailer->domain/index.php?id=$page[uid]&no_cache=1"));
    $mailer->setPlain(file_get_contents("http://$mailer->domain/index.php?id=$page[uid]&no_cache=1&type=99"));
    

    $files = explode (',', $page['tx_tcdirectmail_attachfiles']);
    foreach ($files as $file) {
        if (trim($file) != '') {
            $mailer->addAttachment("$UPLOADSPATH/$file");
        }
    }
    
    $rs = $TYPO3_DB->sql_query(tx_tcdirectmail_query::getSubstRealSQL($page['tx_tcdirectmail_test_target']));    
    while ($receiver = $TYPO3_DB->sql_fetch_assoc($rs)) {
	$mailer->send($receiver);
    }

    $TYPO3_DB->sql_query("UPDATE pages SET tx_tcdirectmail_dotestsend = 0 WHERE uid = $page[uid]");
}
												    
?>
