<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

$TCA["tx_tcdirectmail_sentlog"] = Array (
	"ctrl" => $TCA["tx_tcdirectmail_sentlog"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,begintime,sendtime,receiver"
	),
	"feInterface" => $TCA["tx_tcdirectmail_sentlog"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"begintime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_sentlog.begintime",		
			"config" => Array (
				"type" => "none",
			)
		),
		"sendtime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_sentlog.sendtime",		
			"config" => Array (
				"type" => "none",
			)
		),
		"receiver" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_sentlog.receiver",		
			"config" => Array (
				"type" => "none",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, begintime, sendtime, receiver")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_tcdirectmail_lock"] = Array (
	"ctrl" => $TCA["tx_tcdirectmail_lock"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,begintime,stoptime"
	),
	"feInterface" => $TCA["tx_tcdirectmail_lock"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"begintime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_lock.begintime",		
			"config" => Array (
				"type" => "none",
			)
		),
		"stoptime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_lock.stoptime",		
			"config" => Array (
				"type" => "none",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, begintime, stoptime")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);

$TCA["tx_tcdirectmail_targets"] = Array (
    "ctrl" => $TCA["tx_tcdirectmail_targets"]["ctrl"],
    "interface" => Array (
        "showRecordFieldList" => "hidden,title,config,setup"
    ),
    "feInterface" => $TCA["tx_tcdirectmail_targets"]["feInterface"],
    "columns" => Array (
        "hidden" => Array (        
            "exclude" => 1,    
            "label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
            "config" => Array (
                "type" => "check",
                "default" => "0"
            )
        ),
        "title" => Array (        

            "label" => "LLL:EXT:tcdirectmail/locallang_db.php:tx_tcdirectmail_targets.title",        
            "config" => Array (
                "type" => "input",    
                "size" => "30",
            )
        ),
	
        "description" => Array (   
            "exclude" => 1,
      	    'label' => 'Description:',
            "config" => Array (
		    'type' => 'text',
	    ),	    
        ),
	
	
        "config" => Array (        
      	    'label' => 'Configuration:',
            "config" => Array (
		    'type' => 'text',
			'wizards' => array (
			    '_PADDING' => 1,
			    '_VERTICAL' => 1,
			    'edit' => array (
				'type' => 'script',
				'title' => 'Directmail target setup',
				'icon' => 'EXT:tcdirectmail/mailtargetselect.gif',
				'script' => 'EXT:tcdirectmail/wizards/config_wiz.php',
			    ),
			),		    
	    ),	    
        ),
        "setup" => Array ( 
            "exclude" => 1,	       
		'label' => 'Setup:',
		'config' => Array (
 			'type' => 'text',
			/*
			'wizards' => array (
			    '_PADDING' => 1,
			    '_VERTICAL' => 1,
			    'edit' => array (
				'type' => 'script',
				'title' => 'Directmail target setup',
				'icon' => 'EXT:tcdirectmail/whichmailtarget.gif',
				'script' => 'EXT:tcdirectmail/wizards/setup_wiz.php',
			    ),
			),
			*/
		),
	),
	
	"calculated_receivers" => array (
	    'label' => 'Actual receivers',
	    'config' => array (
		'type' => 'user',
		'userFunc' => 'user_showreceivers',	
	    ),
	),
    ),
    "types" => Array (
        "0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;4-4-4, description,;;;;3-3-3, config,;;;;4-4-4, setup,;;;;5-5-5,  calculated_receivers")
    ),
    "palettes" => Array (
        "1" => Array("showitem" => "")
    )
);


include ("class.tx_tcdirectmail_query.php");

function user_showreceivers($PA, $fObj) {
    global $TYPO3_DB;
    
    if (intval($PA['row']['uid']) == 0) {
	return "";
    }
    
    $rs = $TYPO3_DB->sql_query(tx_tcdirectmail_query::getSubstRealSQL($PA['row']['uid']));
    
    if ($TYPO3_DB->sql_error()) {
	return "Select error";
    }
    
    $i = 0;
    $rows = array();
    while ($row = $TYPO3_DB->sql_fetch_assoc($rs)) {
	if ($i == 0) {
	    $rows[-1] = array_map (create_function('$a', 'return "<strong>$a</strong>";'),array_keys($row));
	}
	
	$rows[] = $row;    	
	
	if ($i == 30) {
	    $rows[] = array('<strong>...</strong>', '<strong>'.$TYPO3_DB->sql_num_rows($rs) .'&nbsp;Total</strong>');
	    break;
	}
	$i++;	
    }
    
    foreach ($rows as $row) {
        $out .= '<tr>';
        foreach ($row as $field) {
	    $out .= "<td>$field</td>";
	}
        $out .= '</tr>';
    }
    
    return '<div style="height: 240px; width:430px; overflow: scroll; background-color: white;"><table>'.$out.'</table></div>';
}

?>